> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# List data limits of service profile

GET https://iot.telia.lt/api/v1/service_profile/{profile_id}/traffic_limit

List data limits of the service profile. These have the possibility to add
custom `volume` values per data limit.

These data limits will not disable any other traffic limits, but can be used to achieve the
same outcome.


Reference: https://docs.iot.telia.lt/developers/api/service-profiles/list-service-profile-traffic-limits

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `profile_id` (double, required) — The Numeric ID of a Service Profile

## Response

### 200

Success

- `list of ApiV1ServiceProfileProfileIdTrafficLimitGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Service Profile is not found or not accessible

- `any`

## Types

### ApiV1ServiceProfileProfileIdTrafficLimitGetResponsesContentApplicationJsonSchemaItems

- `id` (double, optional)
- `service` (ApiV1ServiceProfileProfileIdTrafficLimitGetResponsesContentApplicationJsonSchemaItemsService, optional)
- `satellite_only` (boolean, optional) — Which data traffic the limit counts. If `false`, the limit counts data over all radio access technology (RAT) types. If `true`, it only counts data over satellite RAT types. Satellite data costs more than other data.
- `period` (ApiV1ServiceProfileProfileIdTrafficLimitGetResponsesContentApplicationJsonSchemaItemsPeriod, optional)
- `volume` (long, optional) — the limit threshold in atomic units of the service type, which is bytes for data, and count for SMS
- `warning_percent` (integer, optional) — the percentage of the limit volume when the system will send an event

### ApiV1ServiceProfileProfileIdTrafficLimitGetResponsesContentApplicationJsonSchemaItemsService

- `id` (double, optional)
- `description` (string, optional)

### ApiV1ServiceProfileProfileIdTrafficLimitGetResponsesContentApplicationJsonSchemaItemsPeriod

- `id` (double, optional)
- `time_units` (double, optional)
- `unit` (string, optional)

## Examples

**Response**

```json
[
  {
    "id": 17,
    "service": {
      "id": 38,
      "description": "Data"
    },
    "satellite_only": true,
    "period": {
      "id": 2,
      "time_units": 1,
      "unit": "month"
    },
    "volume": 100000,
    "warning_percent": 50
  },
  {
    "id": 16,
    "service": {
      "id": 38,
      "description": "Data"
    },
    "satellite_only": false,
    "period": {
      "id": 2,
      "time_units": 1,
      "unit": "month"
    },
    "volume": 1000000000,
    "warning_percent": 50
  }
]
```

**SDK Code**

```python Service Profile Data Limits
import requests

url = "https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Service Profile Data Limits
const url = 'https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Service Profile Data Limits
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Service Profile Data Limits
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Service Profile Data Limits
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Service Profile Data Limits
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Service Profile Data Limits
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Service Profile Data Limits
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/service_profile/1.1/traffic_limit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```